FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Development

 
 
LinkBack Thread Tools
 
Old 03-04-2009, 10:36 PM
Pierre Schmitz
 
Default Qt 4.5 and its problems

Hi all,

I just have put Qt 4.5 into testing. It should be compatible to 4.4 in most
aspects. But we should have a look at the qt apps and see if anything broke.

For example Psi crashes on typing a message when spell cheking was enabled.
This could be easily fixed by recompiling it.

QtCurve has some problems with the rendering of tabs. But I expect an updated
version soon.

KDE itself seems to work fine. But there might be some rendering problems
especially with plasma.

The main problem was phonon:
* Qt has its own version of phonon included
** it is slightly different to the one provided by KDE
** KDE cannot compiled against this version (can be fixed by a symlink to the
right include dir)
* The Qt version only supports the gstreamer backend
** gstreamer seems borken. It is able to play ogg etc. but fails on mpeg/mp3
(I have every plugin installed)
* one could enable phonon in qt but remove the relevant files after install.
With some symlinking magic and moving files arround this might even work.
** But this would introduce a circual dependency; phonon and qt depend on each
other
* So, for now phonon is disabled within Qt. The downside is that video support
in webkit is disabled, too. But webkit seems to only work with gstreamer
anyway.

Well, that's the current status. If anyone has a good idea about this let me
know.

--

Pierre Schmitz


Clemens-August-Straße 76
53115 Bonn

Telefon 0228 9716608
Mobil 0160 95269831
Jabber pierre@jabber.archlinux.de
WWW http://www.archlinux.de
 
Old 03-05-2009, 12:21 AM
Eduardo Romero
 
Default Qt 4.5 and its problems

On Wednesday 04 March 2009 07:36:45 pm Pierre Schmitz wrote:
> Hi all,
>
> I just have put Qt 4.5 into testing. It should be compatible to 4.4 in most
> aspects. But we should have a look at the qt apps and see if anything
> broke.
>
> For example Psi crashes on typing a message when spell cheking was
enabled.
> This could be easily fixed by recompiling it.
>
> QtCurve has some problems with the rendering of tabs. But I expect an
> updated version soon.
>
> KDE itself seems to work fine. But there might be some rendering
problems
> especially with plasma.
>
> The main problem was phonon:
> * Qt has its own version of phonon included
> ** it is slightly different to the one provided by KDE
> ** KDE cannot compiled against this version (can be fixed by a symlink to
> the right include dir)
> * The Qt version only supports the gstreamer backend
> ** gstreamer seems borken. It is able to play ogg etc. but fails on
> mpeg/mp3 (I have every plugin installed)

There is something wrong with your system then, I just pacman -S
gstremer0.10-plugins and I have support for mpeg/mp3. So this is weird to
me.

> * one could enable phonon in qt but remove the relevant files after
> install. With some symlinking magic and moving files arround this might
> even work. ** But this would introduce a circual dependency; phonon and
qt
> depend on each other
> * So, for now phonon is disabled within Qt. The downside is that video
> support in webkit is disabled, too. But webkit seems to only work with
> gstreamer anyway.
>
> Well, that's the current status. If anyone has a good idea about this let
> me know.
 
Old 03-05-2009, 01:16 AM
Pierre Schmitz
 
Default Qt 4.5 and its problems

Am Donnerstag, 5. März 2009 02:21:27 schrieb Eduardo Romero:
> > ** gstreamer seems borken. It is able to play ogg etc. but fails on
> > mpeg/mp3 (I have every plugin installed)
>
> There is something wrong with your system then, I just pacman -S
> gstremer0.10-plugins and I have support for mpeg/mp3. So this is weird to
> me.

I allways get something like this:
http://users.archlinux.de/~pierre/tmp/gstreamer-mpeg.png

I tried kaffeine, totem and dragon. Dragon often just shows nothing. With all
three the xine backend works fine. I tested a lot of different files...allways
the same result.

--

Pierre Schmitz


Clemens-August-Straße 76
53115 Bonn

Telefon 0228 9716608
Mobil 0160 95269831
Jabber pierre@jabber.archlinux.de
WWW http://www.archlinux.de
 
Old 03-05-2009, 07:59 PM
Aaron Griffin
 
Default Qt 4.5 and its problems

On Wed, Mar 4, 2009 at 8:16 PM, Pierre Schmitz <pierre@archlinux.de> wrote:
> Am Donnerstag, 5. März 2009 02:21:27 schrieb Eduardo Romero:
>> > ** gstreamer seems borken. It is able to play ogg etc. but fails on
>> > mpeg/mp3 (I have every plugin installed)
>>
>> There is something wrong with your system then, I just pacman -S
>> gstremer0.10-plugins and I have support for mpeg/mp3. So this is weird to
>> me.
>
> I allways get something like this:
> http://users.archlinux.de/~pierre/tmp/gstreamer-mpeg.png

Wow, that looks like something out of my nightmares... that is a car,
right? And not some giant robot face coming to eat me?
 
Old 03-05-2009, 08:02 PM
Dusty Phillips
 
Default Qt 4.5 and its problems

2009/3/5 Aaron Griffin <aaronmgriffin@gmail.com>:
> On Wed, Mar 4, 2009 at 8:16 PM, Pierre Schmitz <pierre@archlinux.de> wrote:
>> Am Donnerstag, 5. März 2009 02:21:27 schrieb Eduardo Romero:
>>> > ** gstreamer seems borken. It is able to play ogg etc. but fails on
>>> > mpeg/mp3 (I have every plugin installed)
>>>
>>> There is something wrong with your system then, I just pacman -S
>>> gstremer0.10-plugins and I have support for mpeg/mp3. So this is weird to
>>> me.
>>
>> I allways get something like this:
>> http://users.archlinux.de/~pierre/tmp/gstreamer-mpeg.png
>
> Wow, that looks like something out of my nightmares... that is a car,
> right? And not some giant robot face coming to eat me?

Its a monster car, but you can still lift it over your head!

Dusty
 
Old 03-07-2009, 03:24 PM
Pierre Schmitz
 
Default Qt 4.5 and its problems

Am Donnerstag 05 März 2009 00:36:45 schrieb Pierre Schmitz:
> Well, that's the current status. If anyone has a good idea about this let
> me know.

Just a little update. In short: it's a mess.

Somehow phonon-4.3.1 from Qt and KDE are very similar but have some
differences. ATM I try to get KDE working with Qt's phonon. I had a almost
working pacakge in my staging dir when I noticed that kdemulimedia does not
compile anymore; in addition to this dragon is linked against xine-lib. And I
thought phonon was invented to not depend on specific backends...

--

Pierre Schmitz


Clemens-August-Straße 76
53115 Bonn

Telefon 0228 9716608
Mobil 0160 95269831
Jabber pierre@jabber.archlinux.de
WWW http://www.archlinux.de
 
Old 03-09-2009, 07:25 PM
Allan McRae
 
Default Qt 4.5 and its problems

Pierre Schmitz wrote:

Hi all,

I just have put Qt 4.5 into testing. It should be compatible to 4.4 in most
aspects. But we should have a look at the qt apps and see if anything broke.



Just letting you know that I had to rebuild qgit against Qt 4.5 so you
can move that at the same time.


Allan
 
Old 03-09-2009, 09:51 PM
Pierre Schmitz
 
Default Qt 4.5 and its problems

Am Montag, 9. März 2009 21:25:57 schrieb Allan McRae:
> Just letting you know that I had to rebuild qgit against Qt 4.5 so you
> can move that at the same time.

Thanks. There are still some ninor issue with for example handling of utf8
filenames. So I it might stay in testing for a while.

I finaly gave up the fight against Qt's phonon. It's not really compatible
with the one from KDE. This should be fixed upstream somehow. Till then we'll
have to live with webkit without phonon support.

--

Pierre Schmitz


Clemens-August-Straße 76
53115 Bonn

Telefon 0228 9716608
Mobil 0160 95269831
Jabber pierre@jabber.archlinux.de
WWW http://www.archlinux.de
 

Thread Tools




All times are GMT. The time now is 12:24 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org